Subject: [PATCH 0/6] gtp: misc improvements

From: Andreas Schultz <[email-masked]>
Date: Mon, 30 Jan 2017 17:31:54 +0100

Hi Pablo,

This series lays the groundwork for removing the socket references from
the GTP netdevice by removing duplicate code and simplifying the logic on
some code paths.

It slighly changes the GTP genl API by making the socket parameters optional
(though one of them is still required).

The removal of the socket references will break the 1:1 releation between
GTP netdevice and GTP socket that prevents us to support multiple VRFs with
overlaping IP addresse spaces attached to the same GTP socket (needed for
multi APN support).

Regards
Andreas